Bug 146564 - gnome-audio cannot play CD's with USB audio and no digital extraction
gnome-audio cannot play CD's with USB audio and no digital extraction
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-audio (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-29 13:42 EST by Jon Smirl
Modified: 2013-03-13 00:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 16:57:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Smirl 2005-01-29 13:42:04 EST
In xmms there are two ways to play a CD, analog or digitally. You can
configure this in the CD Audio Player plugin.  gnome-audio does not
have the corresponding option. Becuase of this gnome-audio will not
work with USB sound devices which require the digital extraction.
Posts on the ALSA groups say adding this option to gnome-audio is the
only solution. Meanwhile use xmms.

The net of this is that it is very difficult for a new user who buys
something common like the Microsoft USB speakers to get them working.
gnome-audio should add this feature, check the output device and
change the CD playback mode automatically.
Comment 1 Jon Smirl 2005-03-01 12:40:53 EST
More info: gnome-audio is written to play CD's assuming that a wire is in place
from the CD player to the audio card. This assumption is not correct for USB
audio. You can't hook the wire up when you are using USB audio since there is no
place to hook the wire to.

gnome-audio needs to be modified to bring the audio into the CPU and then send
it out via alsa. 
Comment 2 petrosyan 2005-06-18 20:16:38 EDT
This bug has been fixed in Fedora Core 4.
Comment 3 Matthew Miller 2006-07-10 17:06:40 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 petrosyan 2008-02-03 16:57:12 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.